<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateTableCountries extends Migration
{
	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('countries', function (Blueprint $table) {
			$table->increments('id');
			$table->string('name');
			$table->string('twocode',2)->nullable();
			$table->string('threecode',3);
			$table->integer('currency_id')->unsigned()->nullable();
			$table->boolean('active');

			$table->foreign('currency_id')->references('id')->on('currencies');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::dropIfExists('countries');
	}
}
